<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: /home/dan/work/DUNE/dune-wib.firmware/trunk/src/udp_io/mac_reg_read.vhd Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_29af0cc65d7b9571f5814fd3cd888614.html">udp_io</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">mac_reg_read.vhd</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="keyword">-- megafunction wizard: %LPM_CONSTANT%</span><span class="keyword"></span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword">-- GENERATION: STANDARD</span><span class="keyword"></span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">-- VERSION: WM1.</span><span class="vhdllogic">0</span><span class="keyword"></span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">-- MODULE: LPM_CONSTANT </span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">-- ============================================================</span><span class="keyword"></span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">-- <span class="vhdlkeyword">File</span> Name: mac_reg_read.vhd</span><span class="keyword"></span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">-- Megafunction Name(s):</span><span class="keyword"></span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">--          LPM_CONSTANT</span><span class="keyword"></span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">-- Simulation <span class="vhdlkeyword">Library</span> Files(s):</span><span class="keyword"></span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">--          lpm</span><span class="keyword"></span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">-- ============================================================</span><span class="keyword"></span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">-- ************************************************************</span><span class="keyword"></span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">-- THIS <span class="vhdlkeyword">IS</span> A WIZARD-GENERATED <span class="vhdlkeyword">FILE</span>. DO <span class="vhdlkeyword">NOT</span> EDIT THIS FILE!</span><span class="keyword"></span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">-- </span><span class="vhdllogic">14</span>.<span class="vhdllogic">1</span>.<span class="vhdllogic">0</span> Build <span class="vhdllogic">186</span> 12/03/2014 SJ Full Version<span class="keyword"></span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">-- ************************************************************</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">--Copyright (C) 1991-2014 Altera Corporation. <span class="vhdlkeyword">All</span> rights reserved.</span><span class="keyword"></span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">--Your <span class="vhdlkeyword">use</span> <span class="vhdlkeyword">of</span> Altera Corporation&#39;s design tools, logic functions </span><span class="keyword"></span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">--and other software <span class="vhdlkeyword">and</span> tools, <span class="vhdlkeyword">and</span> its AMPP partner logic </span><span class="keyword"></span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">--functions, <span class="vhdlkeyword">and</span> any output files from any <span class="vhdlkeyword">of</span> the foregoing </span><span class="keyword"></span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">--(including device programming <span class="vhdlkeyword">or</span> simulation files), <span class="vhdlkeyword">and</span> any </span><span class="keyword"></span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">--associated documentation <span class="vhdlkeyword">or</span> information are expressly subject </span><span class="keyword"></span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">--to the terms <span class="vhdlkeyword">and</span> conditions <span class="vhdlkeyword">of</span> the Altera Program License </span><span class="keyword"></span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">--Subscription Agreement, the Altera Quartus II License Agreement,</span><span class="keyword"></span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">--the Altera MegaCore <span class="vhdlkeyword">Function</span> License Agreement, <span class="vhdlkeyword">or</span> other </span><span class="keyword"></span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">--applicable license agreement, including, without limitation, </span><span class="keyword"></span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">--that your <span class="vhdlkeyword">use</span> <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">for</span> the sole purpose <span class="vhdlkeyword">of</span> programming logic </span><span class="keyword"></span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">--devices manufactured by Altera <span class="vhdlkeyword">and</span> sold by Altera <span class="vhdlkeyword">or</span> its </span><span class="keyword"></span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">--authorized distributors.  Please refer <span class="vhdlkeyword">to</span> the applicable </span><span class="keyword"></span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">--agreement <span class="vhdlkeyword">for</span> further details.</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="vhdlkeyword">LIBRARY </span><span class="keywordflow">ieee</span>;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="vhdlkeyword">USE </span>ieee.std_logic_1164.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="vhdlkeyword">LIBRARY </span><span class="keywordflow">lpm</span>;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="vhdlkeyword">USE </span><span class="keywordflow">lpm.all</span>;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="code" href="classmac__reg__read.html">   43</a></span>&#160;<span class="keywordflow">ENTITY </span><a class="code" href="classmac__reg__read.html">mac_reg_read</a> <span class="vhdlkeyword">IS</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="vhdlkeyword">PORT</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="vhdlchar">(</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        <span class="vhdlchar">result</span>      <span class="vhdlchar">:</span> <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="vhdlkeyword">END</span> <span class="vhdlchar">mac_reg_read</span>;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="code" href="classmac__reg__read_1_1SYN.html">   51</a></span>&#160;<span class="vhdlkeyword">ARCHITECTURE</span> SYN <span class="vhdlkeyword">OF</span> <a class="code" href="classmac__reg__read.html">mac_reg_read</a> IS</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="vhdlkeyword">SIGNAL</span> <span class="vhdlchar">sub_wire0</span>    <span class="vhdlchar">:</span> <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <span class="vhdlkeyword">COMPONENT</span> lpm_constant</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="vhdlkeyword">GENERIC</span> (</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        lpm_cvalue      : <span class="comment">NATURAL</span>;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        lpm_hint        : <span class="comment">STRING</span>;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        lpm_type        : <span class="comment">STRING</span>;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        lpm_width       : <span class="comment">NATURAL</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    );</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="vhdlkeyword">PORT</span> (</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;            result  : <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC_VECTOR</span> (<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    );</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="vhdlkeyword">END</span> <span class="vhdlkeyword">COMPONENT</span>;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="vhdlkeyword">BEGIN</span></div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <span class="vhdlchar">result</span>    <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">sub_wire0</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    LPM_CONSTANT_component : LPM_CONSTANT</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="vhdlkeyword">GENERIC</span> <span class="vhdlkeyword">MAP</span> (</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        lpm_cvalue  =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        lpm_hint  =&gt; <span class="keyword">&quot;ENABLE_RUNTIME_MOD=NO&quot;</span> ,</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        lpm_type  =&gt; <span class="keyword">&quot;LPM_CONSTANT&quot;</span>,</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        lpm_width  =&gt; <span class="vhdllogic">8</span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="vhdlchar">)</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="vhdlkeyword">PORT</span> <span class="vhdlkeyword">MAP</span> (</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        result  =&gt; sub_wire0</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="vhdlkeyword">END</span> <span class="vhdlchar">SYN</span>;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="keyword">-- ============================================================</span><span class="keyword"></span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="keyword">-- CNX <span class="vhdlkeyword">file</span> retrieval info</span><span class="keyword"></span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="keyword">-- ============================================================</span><span class="keyword"></span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: INTENDED_DEVICE_FAMILY <span class="comment">STRING</span> &quot;Cyclone V&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: JTAG_ENABLED NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: JTAG_ID <span class="comment">STRING</span> &quot;addr&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: Radix NUMERIC &quot;16&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: SYNTH_WRAPPER_GEN_POSTFIX <span class="comment">STRING</span> &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: Value NUMERIC &quot;1&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: nBit NUMERIC &quot;8&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: new_diagram <span class="comment">STRING</span> &quot;1&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">LIBRARY</span>: lpm lpm.lpm_components.<span class="vhdlkeyword">all</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: LPM_CVALUE NUMERIC &quot;1&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: LPM_HINT <span class="comment">STRING</span> &quot;ENABLE_RUNTIME_MOD=NO&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: LPM_TYPE <span class="comment">STRING</span> &quot;LPM_CONSTANT&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: LPM_WIDTH NUMERIC &quot;8&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="keyword">-- Retrieval info: USED_PORT: result </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">8</span> <span class="vhdllogic">0</span> OUTPUT NODEFVAL &quot;result[7..0]&quot;<span class="keyword"></span></div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="keyword">-- Retrieval info: CONNECT: result </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">8</span> <span class="vhdllogic">0</span> @result <span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">8</span> <span class="vhdllogic">0</span><span class="keyword"></span></div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="keyword">-- Retrieval info: GEN_FILE: TYPE_NORMAL mac_reg_read.vhd TRUE</span><span class="keyword"></span></div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="keyword">-- Retrieval info: GEN_FILE: TYPE_NORMAL mac_reg_read.inc FALSE</span><span class="keyword"></span></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="keyword">-- Retrieval info: GEN_FILE: TYPE_NORMAL mac_reg_read.cmp TRUE</span><span class="keyword"></span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="keyword">-- Retrieval info: GEN_FILE: TYPE_NORMAL mac_reg_read.bsf FALSE</span><span class="keyword"></span></div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<span class="keyword">-- Retrieval info: GEN_FILE: TYPE_NORMAL mac_reg_read_inst.vhd FALSE</span><span class="keyword"></span></div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="keyword">-- Retrieval info: LIB_FILE: lpm</span></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:31 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
